clear all
close all
clc
%% Výpočet tonality
pp=1; %počet vzorků
for i = 1 : pp
    [horna,cesta] = uigetfile('*.wav');
    [x,fvz]=audioread(fullfile(cesta,horna));
    x=x(:,1);
    pxx=periodogram(x);
    num=geomean(pxx);
    den=mean(pxx);
    sfm=num/den;
    SFMdb=10*log10(sfm);
    T(1,i)=(SFMdb/-70)*100;
end
